%define rname	gm-notifier
%define cid 	\{44d0a1b4-9c90-4f86-ac92-8680b5d6549e\}
%define ciddir	%firefox_extensionsdir/%cid

Summary:	Plugin gm-notifier for Firefox
Name:		%firefox_name-%rname
Version:	0.4.3
Release:	alt4
Source0:	%rname-%version.xpi
License:	GPL
Group:		Networking/WWW	
URL:		http://www.nexgenmedia.net/extensions/#gm-notifier
Buildrequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version

Packager:	Alexey Shabalin <shaba@altlinux.ru>

%description 	
A notifier for Gmail accounts.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Tue Apr 18 2006 L.A. Kostis <lakostis@altlinux.org> 0.4.3-alt4
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.4.3-alt3
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.4.3-alt2.3
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.4.3-alt2.2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 0.4.3-alt2.1
- Rebuild with new firefox.

* Thu Jul 07 2005 Alexey Shabalin <shaba@altlinux.ru> 0.4.3-alt2
- add russian locale

* Tue Jun 28 2005 Alexey Shabalin <shaba@altlinux.ru> 0.4.3-alt1
- first build for ALT Linux.
